package com.javacodegeeks.javaio.readfile;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

public class ReadFileInputStream {

	private static String filepath = "/home/konstantina/test_file.txt";

	public static void main(String[] args) {

		try {
			File file = new File(filepath);

			FileInputStream in = new FileInputStream(file);

			System.out.println("Total bytes to read from file : "
					+ in.available());

			int i;
			StringBuffer buf = new StringBuffer("");

			while ((i = in.read()) != -1) {
				// convert byte to char and append to StringBuffer
				buf.append((char) i);

			}

			in.close();

			System.out.println("File contents :");
			System.out.println(buf);

		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
